#!/bin/sh

GTK2RC_FILE=/usr/share/themes/Adwaita/gtk-2.0/gtkrc
GTK2RC_KDE=/usr/share/tanglu-kde-default-settings/dot-gtkrc-2.0-kde
GTK2RC_KDE_HOME=${HOME}/.gtkrc-2.0-kde

if [ -f "${GTK2RC_FILE}" -a -f "${GTK2RC_KDE}" -a ! -f "${GTK2RC_KDE_HOME}" ]; then
  install -m644 -p "${GTK2RC_KDE}" "${GTK2RC_KDE_HOME}"
fi

if [ -f "${GTK2RC_KDE_HOME}" ];then
  if [ -z "${GTK2_RC_FILES}" ]; then
    GTK2_RC_FILES=${GTK2RC_KDE_HOME}
  elif ! echo ${GTK2_RC_FILES} | /bin/grep -q ${GTK2RC_KDE_HOME} ; then
    GTK2_RC_FILES=${GTK2_RC_FILES}:${GTK2RC_KDE_HOME}
  fi
  export GTK2_RC_FILES
fi

unset GTK2RC_FILE GTK2RC_KDE GTK2RC_KDE_HOME
